Summary: The mooshika library (libmooshika)
Name: libmooshika
Version: 1.0
Release: 0.gf737ffb%{?dist}
Group: System Environment/Libraries
License: LGPLv3
Source: %{name}-%{version}.tar.gz
Requires: librdmacm, libibverbs
BuildRequires: librdmacm-devel, libibverbs-devel, gcc, automake, libtool

%package devel
Group: Development/Libraries
Summary: Development files for libmooshika
Requires: librdmacm-devel, libibverbs-devel

%package rmitm
Group: Applications/System
Summary: RDMA man in the middle and replay tool (rreplay)
Requires: libpcap
BuildRequires: libpcap-devel

%package rcat
Group: Applications/System
Summary: RDMA equivalent of netcat

%description
This package contains the libmooshika library
It is an helper for rdma connection handling

%description devel
Development files for libmooshika

%description rmitm
RDMA man in the middle and replay tool

%description rcat
RDMA equivalent of netcat

%prep
%setup -q -n %{name}-%{version}

%build
%configure  --enable-rmitm
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%{_libdir}/*.so*
%{_libdir}/*.la

%files rmitm
%{_bindir}/rmitm
%{_bindir}/rreplay

%files rcat
%{_bindir}/rcat

%files devel
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog

* Tue Jan 13 2015 Dominique Martinet <dominique.martinet@cea.fr> - 1.0-0.gf737ffb%{?dist}
- Development package, see revision for git head.
